import React, { useMemo} from 'react'
import { Link } from 'react-router-dom'
import {useGoogleAuth} from 'hooks'
import { FontAwesomeIcon } from '@fortawesome/react-fontawesome'
import { faUser } from '@fortawesome/free-solid-svg-icons'
import { Box, Heading, Flex, Spacer, Button, Image, Avatar, HStack } from "@chakra-ui/react"
import Logo from '../img/logo.png'


const Nav = () => {
    const { isSignedIn, signOut, signIn, manager } = useGoogleAuth();
    const handleAuth = () => { isSignedIn ? signOut() : signIn();}
    const authLinkText = useMemo(() => isSignedIn ? "Logout" : "Login", [isSignedIn]);
    const userIcon = isSignedIn ? 
    <Avatar name={manager.firstName + " " + manager.lastName} boxSize="40px" borderRadius="full"  src={manager.imageUrl} alt="profile"/> : null

    return (
        <div >
            <Flex className="header">
                <Box className="left-nav">
                    <Link to="/"><Image src={Logo} alt="project logo"height="110%" width="55%" /></Link>
                </Box>
                <Spacer />
                <HStack className="right-nav" spacing="1px">
                    <Box><button
                        // p={2}
                        // size="sm"
                        // color="white"
                        // fontWeight="bold"
                        // borderRadius="sm"
                        // bgGradient="linear(to-r, teal.500,blue.500)"
                        // _hover={{
                        //     bgGradient: "linear(to-r, blue.500, yellow.500)",
                        // }}
                        >
                        <Link to="/orders">Orders</Link></button></Box>
                    <Box><span>|</span></Box>
                    <Box><button
                        // p={2}
                        // size="sm"
                        // color="white"
                        // fontWeight="bold"
                        // borderRadius="sm"
                        // bgGradient="linear(to-r, teal.500,blue.500)"
                        // _hover={{
                        //     bgGradient: "linear(to-r, blue.500, yellow.500)",
                        // }}
                        onClick={handleAuth}>{authLinkText}</button></Box>
                        <Box><Link className="nav-link" to="/account">{userIcon}</Link></Box>
                </HStack>
            </Flex>
        </div>
    )
}

export default Nav
