import { Box, Avatar, Center, VStack, StackDivider, Spacer, Flex } from '@chakra-ui/react'
import {useGoogleAuth} from 'hooks'
const AccountPage = () => {
    const { manager } = useGoogleAuth();
    return (
        <Center className="account">
            <Flex>
                <Box w="170px" h="10">
                    <Avatar name={manager.firstName + " " + manager.lastName} size="2xl" src={manager.imageUrl} alt="profile" />
                </Box>
                <Spacer />
                <Box w="270px" >
                    <VStack
                        divider={<StackDivider borderColor="gray.200" />}
                        spacing={4}
                        align="stretch"
                        >
                        <Box h="40px" >
                            Email: {manager.email}
                        </Box>
                        <Box h="40px" >
                            First Name: {manager.firstName}
                        </Box>
                        <Box h="40px" >
                            Last Name: {manager.lastName}
                        </Box>
                    </VStack>
                </Box>
            </Flex>
        </Center>
    )
}

export default AccountPage
